#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './kalva_playergui.ui'
**
** Created: Mon Jul 10 20:35:48 2006
**      by: The User Interface Compiler ($Id: qt/main.cpp   3.3.6   edited Aug 31 2005 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "kalva_playergui.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qlineedit.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a kalva_playergui as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
kalva_playergui::kalva_playergui( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "kalva_playergui" );
    setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)7, 0, 0, sizePolicy().hasHeightForWidth() ) );
    setMinimumSize( QSize( 0, 0 ) );
    setMaximumSize( QSize( 32767, 32767 ) );
    kalva_playerguiLayout = new QGridLayout( this, 1, 1, 10, 6, "kalva_playerguiLayout"); 
    kalva_playerguiLayout->setResizeMode( QLayout::FreeResize );

    m_playButton = new QPushButton( this, "m_playButton" );
    m_playButton->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)7, 0, 0, m_playButton->sizePolicy().hasHeightForWidth() ) );
    m_playButton->setMaximumSize( QSize( 32767, 32767 ) );
    QFont m_playButton_font(  m_playButton->font() );
    m_playButton->setFont( m_playButton_font ); 
    m_playButton->setCursor( QCursor( 13 ) );

    kalva_playerguiLayout->addMultiCellWidget( m_playButton, 1, 1, 0, 2 );

    m_station = new QLineEdit( this, "m_station" );
    m_station->setEnabled( FALSE );
    m_station->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)5, 0, 0, m_station->sizePolicy().hasHeightForWidth() ) );
    m_station->setMinimumSize( QSize( 0, 0 ) );
    m_station->setPaletteForegroundColor( QColor( 48, 48, 48 ) );
    m_station->setAcceptDrops( FALSE );
    m_station->setMargin( 2 );

    kalva_playerguiLayout->addWidget( m_station, 0, 0 );

    m_channel = new QLineEdit( this, "m_channel" );
    m_channel->setEnabled( FALSE );
    m_channel->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)5, 0, 0, m_channel->sizePolicy().hasHeightForWidth() ) );
    m_channel->setMaximumSize( QSize( 60, 32767 ) );
    m_channel->setPaletteForegroundColor( QColor( 48, 48, 48 ) );
    m_channel->setMouseTracking( FALSE );
    m_channel->setMargin( 2 );
    m_channel->setMaxLength( 4 );

    kalva_playerguiLayout->addWidget( m_channel, 0, 1 );

    m_frq = new QLineEdit( this, "m_frq" );
    m_frq->setEnabled( FALSE );
    m_frq->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)5, 0, 0, m_frq->sizePolicy().hasHeightForWidth() ) );
    m_frq->setMinimumSize( QSize( 0, 0 ) );
    m_frq->setMaximumSize( QSize( 80, 32767 ) );
    m_frq->setPaletteForegroundColor( QColor( 48, 48, 48 ) );
    m_frq->setAcceptDrops( FALSE );
    m_frq->setMargin( 2 );
    m_frq->setMaxLength( 7 );

    kalva_playerguiLayout->addWidget( m_frq, 0, 2 );
    languageChange();
    resize( QSize(405, 407).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( m_playButton, SIGNAL( clicked() ), this, SLOT( play() ) );
}

/*
 *  Destroys the object and frees any allocated resources
 */
kalva_playergui::~kalva_playergui()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void kalva_playergui::languageChange()
{
    setCaption( tr2i18n( "kalva player" ) );
    m_playButton->setText( tr2i18n( "&View active channel in external MPlayer for preview.\n"
"\n"
"To change the channel move Kalva in front with\n"
"ALT+TAB and choose a different channel.\n"
"\n"
"The white rectangle demonstrates what will be cut away\n"
"by crop.\n"
"\n"
"To preview the changes a certain quality profile brings,\n"
"just change the profile while the MPlayer is running.\n"
"The MPlayer will show the changes immediatly.\n"
"\n"
"Use MEncoder's shortcuts to \n"
"\n"
"toggle between fullscreen and normal view (  f  )\n"
"and to quit the MPlayer ( q )\n"
"\n"
"More shortcuts you may find in the MPlayer manpage." ) );
    m_playButton->setAccel( QKeySequence( tr2i18n( "Alt+V" ) ) );
    QToolTip::add( m_playButton, tr2i18n( "Runs an external MPlayer for previewing" ) );
    QToolTip::add( m_station, tr2i18n( "Shows the station" ) );
    QToolTip::add( m_channel, tr2i18n( "Shows the channel" ) );
    QToolTip::add( m_frq, tr2i18n( "Shows the frequence" ) );
}

void kalva_playergui::play()
{
    qWarning( "kalva_playergui::play(): Not implemented yet" );
}

void kalva_playergui::stationChanged(const QString,const QString,const QString)
{
    qWarning( "kalva_playergui::stationChanged(const QString,const QString,const QString): Not implemented yet" );
}

#include "kalva_playergui.moc"
